Subject: bug#76195: Obsoleting mail/hashcash.el

From: Stefan Kangas <[email-masked]>
Date: Mon, 10 Feb 2025 22:40:26 -0800

Severity: wishlist

The mail/hashcash.el library implements an Emacs wrapper around
hashcash, where the idea was that you added a small amount of "proof of
work" to an Email header, which if everyone used it would be expensive
for spammers:

     "The email anti-spam tool, like the proof-of-work algorithm, is
     also called hashcash and is used to create stamps to attach to mail
     to add a micro-cost to sending mail to deter spamming.  The main
     use of the hashcash stamp is as a white-listing hint to help
     hashcash users avoid losing email due to content based and
     blacklist based anti-spam systems."  - http://www.hashcash.org

This might be nice in theory, but it is irrelevant as an anti-spam
measure on today's internet, since almost no one uses it.  Let's not
mislead users to waste energy using it.

I suggest that we mark it as obsolete.